#!/usr/bin/perl -w 

use strict;

my $hostname=$ENV{'HOSTNAME'};

my $log_file='/var/log/maillog-pflogsumm';
my $pflogsumm='/usr/local/sbin/pflogsumm.pl';
my %out;
my $error='';

open(PFLOG,"$pflogsumm -d today -u 0 -h 0  --no_bounce_detail  --no_deferral_detail --no_smtpd_warnings --no_reject_detail $log_file|") || die("$pflogsumm failed $!\n");

while(<PFLOG>){
	if(/^\s*$/){	 next; }
	if(/Traffic Summary/){  last; }
	if(/(\d+)\s+received/) {$out{'received'} = $1; }
	if(/(\d+)\s+delivered/) {$out{'delivered'} = $1; }
	if(/(\d+)\s+rejected /){$out{'rejected'} = $1; }
	if(/(\d+)\s+deferred/) {$out{'deferred'} = $1; }
	if(/(\d+)\s+bounced/)  {$out{'bounced'}  = $1; }	
	if(/(\d+\w?)\s+bytes received/){ $out{'breceived'}   = $1; } 
	if(/(\d+\w?)\s+bytes delivered/){$out{'bdelivered'}  = $1; }
}

close PFLOG;
# vysistime log
open(CLR,">$log_file") || ($error=" ERR:log nebyl vycisten");
close CLR;

#logujeme
system("/usr/bin/logger -p local3.err -t $hostname \"MAILSTATS: received:$out{'received'} delivered:$out{'delivered'} rejected:$out{'rejected'} deferred:$out{'deferred'} bounced:$out{'bounced'} breceived:$out{'breceived'} bdelivered:$out{'bdelivered'}  Timestamp:".time()."$error \"");

1;

