#!/usr/bin/perl 

my ($ip_src)='';
my ($ip_dst)='';
my ($loss,$min,$avg,$max)=(0,0,0,0);

do{
	if($ARGV[0] =~ /\-I/){
				shift @ARGV;
				$ip_src = $ARGV[0];
	}elsif($ARGV[0] =~ /\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/) {
				$ip_dst=$ARGV[0];
	}
	
}while(shift @ARGV);

if(!$ip_dst){
		print "Usage: $0 [-I src_addr] dst_addr\n";
		exit;
}
if($ip_src){
	$ip_src="-I $ip_src";
}

open(PING, "ping -s 600 -q -i 10 -c 30 $ip_src $ip_dst|") || die "Error: $!";
while($line = <PING>){

	#1 packets transmitted, 1 received, 0% packet loss, time 0ms
	#rtt min/avg/max/mdev = 3.815/3.815/3.815/0.000 ms
	if( $line =~ /(\d+)\%\s+packet\sloss/ ){
		$loss=$1;
	}
	if( $line =~ m#min/avg/max/mdev\s+=\s+([\d\.]+)/([\d\.]+)/([\d\.]+)/# ){
		$min=$1;
		$avg=$2;
		$max=$3;
	}
}

close(PING);

print "$loss $min $avg $max\n";
